Bug 749770 - Unable to disable IME with the hotkey until it's used for enabling
Unable to disable IME with the hotkey until it's used for enabling
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-28 06:00 EDT by Akira TAGOH
Modified: 2011-11-10 12:41 EST (History)
3 users (show)

See Also:
Fixed In Version: ibus-1.4.0-10.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-10 12:41:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2011-10-28 06:00:32 EDT
Description of problem:
ibus-anthy is capable to turn on/off itself with Zenkaku_Hankaku and ctrl+space though, when enabling ibus-anthy with ctrl+space, it can't be disabled by Zenkaku_Hankaku key. but it works once enabling it with Zenkaku_Hankaku.

Version-Release number of selected component (if applicable):
ibus-1.4.0-5.fc16.x86_64

How reproducible:
always

Steps to Reproduce:
1. ensure restarting ibus
2. open GTK+ application and press ctrl+space
3. make sure if ibus-anthy works
4. press Zenkaku_Hankaku key
  
Actual results:
ibus-anthy is still active after step 4

Expected results:
ibus-anthy should be turned off.

Additional info:
ctrl+space works instead at step 4 to be turned off though, once trying steps after going back to step 2, Zenkaku_Hannaku key still doesn't work. it's working back if pressing Zenkaku_Hankaku key at step 2 instead of ctrl+space.

I've seen this issue on Fedora 16 final TC3 Desktop Live.
Comment 1 fujiwara 2011-10-31 06:30:01 EDT
I can reproduce the bug.
Comment 2 Fedora Update System 2011-11-02 05:48:58 EDT
ibus-1.4.0-9.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/FEDORA-2011-15023
Comment 3 Fedora Update System 2011-11-02 13:54:58 EDT
Package ibus-1.4.0-9.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-1.4.0-9.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15023
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2011-11-04 17:48:56 EDT
Package ibus-1.4.0-10.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-1.4.0-10.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15023
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2011-11-10 12:41:15 EST
ibus-1.4.0-10.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.